$libDir = "D:\青橙\backend\src\main\resources\lib"  # 使用绝对路径指定 lib 目录
$repositoryDir = "D:\software\Maven\maven-repository"  # 设置自定义仓库目录

# 遍历 lib 目录下的所有 JAR 文件并安装到指定的仓库
Get-ChildItem -Path $libDir -Filter "*.jar" | ForEach-Object {
    mvn install:install-file -Dfile=$_.FullName `
                             -DgroupId=com.example `
                             -DartifactId=$($_.BaseName) `
                             -Dversion=1.0 `
                             -Dpackaging=jar `
                             -DlocalRepositoryPath=$repositoryDir
}
